<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 05일 금요일 오후 23시 42분 / 맑음, 11.8, 16, 7, 19%, 0%, 0.8ms / 나쁨, 48, 28

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 지역 관리 > 입력하기, 수정하기 > 처리하기
=====================================================================


*/

  include_once('./_common.php' );

  auth_check_menu($auth, $sub_menu, 'w');

/*
  * PIREE_SOSS
  * 피리 PIREE ( piree1977@gmail.com )
  * Ver 2.0.0
*/

  include_once( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'region.smallint.2.lib.php') );

  $region_n   = save__str($_POST['region_n']);
  $region_l_s = save__str($_POST['region_l_s']);
  $region_s_s = save__str($_POST['region_s_s']);
  $view_mode  = save__str($_POST['view_mode']);


  IF ( !$region_l_s )
  {
      alert ("[ 지역 이름 ]을 입력해 주세요.");
  }

  IF ( !$region_s_s )
  {
// ("[ 지역 짧은 이름 ]을 입력해 주세요.");
  }

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

  $region_1_s = '';
  $region_2_s = '';
  $region_s_p = '';

  $region_save_a = array();

  $sql_common_a = array();

  $region_parent_n = 0;

  $region_depth_n = 1;

  $region_n_p = '';

  $region_kor_p = '';

  $region_1_n = 0;
  $region_2_n = 0;

  $region_kor_1_s = '';
  $region_kor_2_s = '';

  $region_sub_t = 0;

  $region_member_t = 0;

  $region_row = array();

  IF ( $region_n > 0 )
  {

      $sql = "SELECT * FROM `". $piree['region'] ."` WHERE `region_n` = '". $region_n ."'";
      $region_row = sql_fetch($sql);

      IF ( $region_n != $region_row['region_n'] )
      {

          alert ("선택된 [ 지역정보 ]가 없습니다.1");
      }

  }

  IF ( $region_n > 0 )
  {

      IF ( $region_n == $region_row['region_n'] )
      {

          IF ( $mode != 'update' )
          {

              IF ( $region_row['region_depth_n'] > 2 )
              {
                  alert ("3단계 이상의 지역을 등록할수 없습니다.");
              }

          }

          $region_1_n = $region_row['region_1_n'];
          $region_2_n = $region_row['region_2_n'];

          $region_kor_1_s = $region_row['region_kor_1_s'];
          $region_kor_2_s = $region_row['region_kor_2_s'];

          $region_depth_n = $region_row['region_depth_n'];

          $region_parent_n  = $region_row['region_parent_n'];
          $region_sub_t      = $region_row['region_sub_t'];

      }

  }

      IF ( $mode == 'update' )
      {

          IF ( !$region_l_s )
          {
              alert ("[ 지역 이름 ]을 입력해 주세요.");
          }

          IF ( !$region_s_s )
          {

//$region_s_s = $region_l_s;

// ("[ 지역 짧은 이름 ]을 입력해 주세요.");

          }

          $save_active_c = "수정";

          $region_save_a[$region_n]['region_l_s'] = $region_l_s;
          $region_save_a[$region_n]['region_s_s'] = $region_s_s;

          $sql_in_s .= "`region_modi_time_n`    = '". G5_SERVER_TIME ."', ";


          $sql_common_a[$region_n] = $sql_in_s;

      }
      ELSE
      {

              $save_active_c = "입력";

							IF ( $region_n > 0 )
							{

									IF ( $region_n == $region_row['region_n'] )
									{

                      $region_parent_n = $region_row['region_n'];

                      $region_1_s = $region_row['region_1_s'];

                      $region_depth_n++;

                      IF ( $region_depth_n > 2 )
                      {

                          alert ("선택된 [ 지역정보 ]가 없습니다.");
                      }

                  }

              }

              $loop_row_a = array();

              $loop_row_a[] = $region_l_s .'|'. $region_s_s;

              IF ( $region_multi_s )
              {

                  $ex_out_s = explode("\n", $region_multi_s);

                  WHILE ( list($key, $val) = each($ex_out_s) )
                  {

                      $loop_var = trim($val);

                      IF ( $loop_var )
                      {

                          $loop_row_a[] = trim($loop_var);

                      }

                  }

              }

              IF ( !count($loop_row_a) )
              {
                  alert ("저장할 지역을 1개 이상 입력해 주세요.");
              }

              FOREACH ( $loop_row_a AS $key=>$val )
              {

                  $ex_in_s = explode("|", $val);

                  $loop_region_l_s = trim($ex_in_s[0]);

                  $loop_region_s_s = trim($ex_in_s[1]);

                  IF ( $loop_region_l_s )
                  {

                      $sql_select  = "SELECT COUNT(*) FROM `". $piree['region'] ."` ";
                      $sql_select .= "WHERE `region_l_s` = '". $loop_region_l_s ."' AND `region_depth_n` = '". $region_depth_n ."' AND `region_parent_n` = '". $region_parent_n ."'";
                      $exist_t = sql_efv($sql_select);

                      IF ( $exist_t > 0 )
                      {
                          alert ("같은 위치에 지역 [". $loop_region_l_s ."] 이(가) 이미 있습니다.");
                      }

                      $region_n = get_new_region_num_smallint2($region_parent_n, $region_depth_n);

                      $region_1_n = 0;
                      $region_2_n = 0;

                      $region_2_s = '';
                      $region_s_p = '';

                      SWITCH ( $region_depth_n )
                      {

                          CASE 1 :

                            $region_1_n = $region_n;

                            $region_n_p = $region_1_n .'--';

                            $region_1_s = $loop_region_s_s;

                            $region_s_p = $region_1_s .'--';

                          BREAK;

                          CASE 2 :

                            $region_1_n = floor($region_n/100) * 100;

                            $region_2_n = $region_n;

                            $region_n_p = $region_1_n .'--'. $region_2_n .'--';

                            $region_2_s = $loop_region_s_s ? $loop_region_s_s : $loop_region_l_s;

                            $region_s_p = $region_1_s .'--'. $region_2_s .'--';

                          BREAK;

                      }

                      $sql_insert  = "INSERT INTO `". $piree['region'] ."` SET ";
                      $sql_insert .= "`region_n`            = '". $region_n ."', ";
                      $sql_insert .= "`region_1_n`          = '". $region_1_n ."', ";
                      $sql_insert .= "`region_2_n`          = '". $region_2_n ."', ";
                      $sql_insert .= "`region_n_p`          = '". $region_n_p ."', ";

                      $sql_insert .= "`region_l_s`          = '". $loop_region_l_s ."', ";
                      $sql_insert .= "`region_s_s`          = '". $region_2_s ."', ";
                      $sql_insert .= "`region_1_s`          = '". $region_1_s ."', ";
                      $sql_insert .= "`region_2_s`          = '". $region_2_s ."', ";
                      $sql_insert .= "`region_s_p`          = '". $region_s_p ."', ";

                      $sql_insert .= "`region_depth_n`      = '". $region_depth_n ."', ";
                      $sql_insert .= "`region_parent_n`      = '". $region_parent_n ."', ";
                      $sql_insert .= "`region_regi_time_n`  = '". G5_SERVER_TIME ."'";

                      IF ( !sql_query($sql_insert) )
                      {

                          alert ("[ ". $loop_region_l_s ." ]지역을 입력하지 못했습니다.");

                      }

                      $region_save_a[$region_n]['region_l_s'] = $loop_region_l_s;
                      $region_save_a[$region_n]['region_s_s'] = $loop_region_s_s;
                      $sql_common_a[$region_n] = $sql_in_s;

                  }

              }

      }

      IF ( count($region_save_a) > 0 )
      {

          WHILE ( list($key, $val) = each($region_save_a) )
          {

              $in_region_n = (int)$key;

              $loop_region_l_s = trim($val['region_l_s']);

              $loop_region_s_s = trim($val['region_s_s']);

              IF ( !$loop_region_s_s )
              {

//$loop_region_s_s = $loop_region_l_s;

              }

              IF ( $in_region_n > 0 && $loop_region_l_s )
              {

                  IF ( $sql_common_a[$in_region_n] )
                  {

                      $region_i_a = get_region_upper_smallint2($in_region_n);

                      $region_1_n = $region_i_a[1];
                      $region_2_n = $region_i_a[2];

                      $in_region_n_p = $region_i_a[6];

                      IF ( $region_depth_n > 1 )
                      {

                          $sql_where_s = get_region_sql_where_smallint2($region_i_a, 'region_n');

                          $loop_region_l_s_arr = get_region_name_path_smallint2($region_i_a, $sql_where_s);

                          $region_kor_1_s = $loop_region_l_s_arr[1];
                          $region_kor_2_s = $loop_region_l_s_arr[2];

                          $region_kor_p = $loop_region_l_s_arr[6];

                      }
                      ELSE
                      {

                          $region_kor_p = $loop_region_l_s .'--';

                      }

                      $loop_region_l_sub_t = get_sub_region_count_single_smallint2($in_region_n, $region_depth_n, 0);

                      $range_1_arr = get_region_range_smallint2($in_region_n, $region_depth_n, 'mb_region_n');

                      $sql  = "SELECT COUNT(*) FROM `". $g5['member_table'] ."` ";
                      $sql .= "WHERE ". $range_1_arr[2];
                      $region_member_t = (int)sql_efv($sql);
                      $sql_common_s  = $sql_common_a[$in_region_n];
                      $sql_common_s .= "`region_l_s`         = '". $loop_region_l_s ."', ";
                      $sql_common_s .= "`region_s_s`         = '". $loop_region_s_s ."', ";
                      $sql_common_s .= "`region_1_n`         = '". $region_1_n ."', ";
                      $sql_common_s .= "`region_2_n`         = '". $region_2_n ."', ";
                      $sql_common_s .= "`region_n_p`         = '". $in_region_n_p ."', ";
                      $sql_common_s .= "`region_sub_t`       = '". $loop_region_l_sub_t ."', ";
                      $sql_common_s .= "`region_member_t`    = '". $region_member_t ."', ";
                      $sql_common_s .= "`region_relo_time_n` = '". G5_SERVER_TIME ."' ";

                      $sql_save  = "UPDATE `". $piree['region'] ."` SET ";
                      $sql_save .= $sql_common_s;
                      $sql_save .= "WHERE `region_n` = '". $in_region_n ."'";

                      IF ( !sql_query($sql_save) )
                      {

                          alert ("[ ". $loop_region_l_s ." ]지역을 ". $save_active_c ."하지 못했습니다.");
                      }

                      get_sub_region_count_depth_smallint2($region_i_a, $in_region_n);

                  }

              }

          }

      }

  $go_url_s = "region.list.php?view_mode=". $view_mode ."&region_n=". $region_n ."#region_point_". $region_n;

  goto_url($go_url_s);
  EXIT;

?>